package com.unis.sxls.server.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.servlet.MultipartConfigElement;

/**
 * 功能描述：springboot里默认使用tomcat的上传文件大小限制，即1MB
 * 
 * @author 李兵
 */
@Configuration
public class MultipartConfig {
	
	@Value("${spring.servlet.multipart.location}")
	private String location;
	
	@Bean
	public MultipartConfigElement multipartConfigElement(
			@Value("${spring.servlet.multipart.max-file-size}") String maxFileSize,
			@Value("${spring.servlet.multipart.max-request-size}") String maxRequestSize) {
		MultipartConfigFactory factory = new MultipartConfigFactory();
		factory.setMaxFileSize(maxFileSize);
		factory.setMaxRequestSize(maxRequestSize);
		factory.setLocation(location);
		return factory.createMultipartConfig();
	}
}
