package com.unis.sxls.server.repository;

import com.unis.sxls.server.model.FileInfoVO;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;
import tk.mybatis.mapper.entity.Example;

import java.io.Serializable;
import java.util.List;

/**
 * @author : yang
 * @version : 1.0
 * @date : 2018/8/24
 */
@Repository
@Transactional(propagation = Propagation.NESTED,rollbackFor = Exception.class)
public interface FileInfoRepository extends JpaRepository<FileInfoVO,Serializable> {

    /**
     * 根据id集合获取文件信息集合
     *
     * @param ids id集合
     * @return FileInfoVOS
     */
    List<FileInfoVO> findByIdIn(List<Long> ids);

    /**
     * 根据业务id查询文件
     * @param businessId
     * @return
     */
    List<FileInfoVO> findByBusinessIdAndStatus(String businessId,Integer status);
}
